import { BasicColumn, FormSchema } from '@/components/Table';

export const columns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'workSpaceName',
    width: 150,
  },
  {
    title: '拥有者',
    dataIndex: 'createBy',
    width: 120,
  },
  {
    title: '创建时间',
    dataIndex: 'createTime',
    width: 120,
    sorter: true,
  },
  {
    title: '更新时间',
    dataIndex: 'updateTime',
    width: 120,
    sorter: true,
  },
];
export const previewColumns: BasicColumn[] = [
  {
    title: 'id',
    dataIndex: 'id',
    width: 150,
  },
  {
    title: 'em_name',
    dataIndex: 'emName',
    width: 120,
  },
  {
    title: 'em_age',
    dataIndex: 'emAge',
    width: 120,
  },
  {
    title: 'em_idcard',
    dataIndex: 'emIdcard',
    width: 120,
  },
  {
    title: 'em_tel',
    dataIndex: 'emTel',
    width: 120,
  },
  {
    title: 'em_typework',
    dataIndex: 'emTypework',
    width: 120,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: ' ',
    component: 'Input',
    colProps: { span: 8 },
    componentProps: {
      placeholder: '输入关键字搜索',
    },
  },
];
export const formSchema: FormSchema[] = [
  {
    field: 'name',
    label: '数据连接',
    component: 'Select',
    colProps: { span: 8 },
    componentProps: {
      options: [
        {
          label: 'mysql',
          value: 'mysql',
        },
        {
          label: 'oracle',
          value: 'oracle',
        },
        {
          label: 'sqlserver',
          value: 'sqlserver',
        },
      ],
    },
    defaultValue: 'mysql',
  },
];
export const recommendColumns: BasicColumn[] = [
  {
    title: '参数名',
    dataIndex: 'name',
    editable: true,
    edit: true,
    width: 120,
  },
  {
    title: '默认值',
    dataIndex: 'defaultValue',
    editable: true,
    edit: true,
    width: 120,
  },
];
